#!/usr/bin/bash

random=`date | md5sum | awk '{print $1}' | cut -c 22-`
echo $random

# Generate Game container
lxc project create $random -c features.images=false > /dev/null
lxc project switch $random > /dev/null
lxc --project $random network create vn-$random > /dev/null
cat /root/default.profile | lxc --project $random profile edit default > /dev/null
lxc launch --project $random -p default ubuntu:22.04 $random-csgo2-00 --network vn-$random > /dev/null

# Generate docker compose file
echo $random > /tmp/random
export VAR=`cat /tmp/random`
envsubst < template-wg_server.yaml > $random-wg_server.yaml
curl --silent -X PUT --user "adelorenzo:dimi2014" https://couchdb.oe74.cloud/kk_users/${random}/${random} -d "{"_id":"$random"}" > /dev/null
random_rev=`curl --silent -X GET https://adelorenzo:dimi2014@couchdb.oe74.cloud/kk_users/$random | jq -c '._rev' | sed 's/^.//' | sed 's/.$//'`
curl --silent -H "Content-Type: text/x-yaml" -X PUT --data-binary @${random}-wg_server.yaml --user "adelorenzo:dimi2014" "https://couchdb.oe74.cloud/kk_users/${random}/${random}-wg_server.yaml?rev=$random_rev" > /dev/null
rm ${random}-wg_server.yaml

